ALTER VIEW dbo.vw_fco_integrada_rt01  
AS  
/*************************************************************************/  
-- Modulo Fiscal Colombiano 2.0 ADAM V3  
-- Descripcion: Archivo Plano Planilla Integrada Registro Tipo 1  
-- Autor: Juan Carlos Leguizamon  
-- Fecha: Junio 2005  
-- Revisiones:  
/*************************************************************************/  
SELECT  
    compania, anio, mes, sucursal,  
    '01' + RIGHT('00000' + RTRIM(secuencia), 5) + CONVERT(char(200), razon_social) +  
    tipo_documento + CONVERT(char(16), nro_id) + dv + 'E' +  -- Ajuste JCL Agosto 31/07
    '0000000000' + -- JCL Ajuste de junio 21/06  
    Space(10) +  
    ISNULL((select forma_presentacion from vw_fco_companias x where x.compania = a.compania), 'C') + -- JCL Ajuste Oct-30-06  
    '001       ' + CONVERT(char(40), 'Unica') +   
    CONVERT(char(6), nueva_ARP) +   
    Left(periodo, 4) + '-' + Right(periodo, 2) + -- JCL Ajuste de junio 21/06  
    Left(periodo_salud, 4) + '-' + Right(periodo_salud, 2) + -- JCL Ajuste de junio 21/06  
    CONVERT(char(10), nro_radicacion) +   
    Convert(char(10), getdate(), 120) + -- JCL Ajuste de junio 21/06  
    RIGHT('00000' + RTRIM(nro_empleados), 5) +   
    RIGHT('000000000000' + RTRIM(valor_nomina), 12) + '1' +  
    operador AS registro1  
FROM fco_integrada_cab a  
